## AgsXmlAuthentication

AgsXmlAuthentication — authentication by XML file

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_XML_AUTHENTICATION_GET_OBJ_MUTEX()
void | ags_xml_authentication_open_filename ()
xmlNode * | ags_xml_authentication_find_user_uuid ()
AgsXmlAuthentication * | ags_xml_authentication_new ()

## Object Hierarchy

        GObject
        ╰── AgsXmlAuthentication

## Includes

    #include <ags/server/security/ags_xml_authentication.h>

## Description

The AgsXmlAuthentication is an object to authenticate to Advanced Gtk+ Sequencer's server.

## Functions

### AGS_XML_AUTHENTICATION_GET_OBJ_MUTEX()

    #define AGS_XML_AUTHENTICATION_GET_OBJ_MUTEX(obj) (&(((AgsXmlAuthentication *) obj)->obj_mutex))

### ags_xml_authentication_open_filename ()

    void
    ags_xml_authentication_open_filename (AgsXmlAuthentication *xml_authentication,
                                          gchar *filename);

Open `filename` .

#### Parameters

xml_authentication | the AgsXmlAuthentication |
filename | the filename |

Since: 3.0.0

### ags_xml_authentication_find_user_uuid ()

    xmlNode *
    ags_xml_authentication_find_user_uuid (AgsXmlAuthentication *xml_authentication,
                                           gchar *user_uuid);

Find ags-srv-auth xmlNode containing `user_uuid` .

#### Parameters

xml_authentication | the AgsXmlAuthentication |
user_uuid | the user UUID |

#### Returns

the matching xmlNode or `NULL`.

[transfer none]

Since: 3.0.0

### ags_xml_authentication_new ()

    AgsXmlAuthentication *
    ags_xml_authentication_new ();

Create AgsXmlAuthentication.

#### Returns

the new AgsXmlAuthentication instance

Since: 3.0.0